[QtMoko] build error

Radek Polak psonek2 at seznam.cz
Fri Jun 11 07:43:18 CEST 2010

On Friday 11 June 2010 01:09:42 Ricardo Martinez wrote:
> Hi Radek,
> I was able to compile Qtmoko using that toolchain

Nice to hear it

> BTW, is this the right kernel to use?
> git://git.openmoko.org/git/kernel.git linux-2.6   (-b andy-tracking)?

Yes, that is the current kernel. I have custom config and wifi patch. Both in my 
git here:


There is some info about compiling kernel here:


It needs a bit updating. I am using now these commands:

make CROSS_COMPILE=/opt/toolchains/arm920t-eabi/bin/arm-linux- ARCH=arm

/opt/toolchains/arm920t-eabi/bin/arm-linux-objcopy -O binary -R .note -R 
.comment -S arch/arm/boot/compressed/vmlinux linux.bin

mkimage -A arm -O linux -T kernel -C none -a 30008000 -e 30008000 -n "qtmoko-
v24" -d linux.bin uImage-GTA02.bin

> sorry for the basic questions, I'm just starting to play with qtmoko :)

No problem, welcome :)


More information about the community mailing list